{% extends "orders/base.html" %}

{% block title %}
Tracker | Project3: Pizza
{% endblock %}

{% block bodyclass %}tracker-page
{% if placed_orders|length > 0 %}
{% ifnotequal placed_orders.0.order_status "COMPLETED" %}{{ placed_orders.0.order_status|lower }}{% endifnotequal %}
{% endif %}
{% endblock %}

{% block body %}
{% if placed_orders.0 %}
<h2>Tracker <small>(order number: #{{ placed_orders.0.order_id }})</small></h2>
<div class="tracker-bg"></div>
<div class="col-10 tracker">
  <ul class="d-flex flex-row justify-content-between">
    <li><span>&uarr;</span>Completed</li>
    <li><span>&uarr;</span>In progress</li>
    <li><span>&uarr;</span>Order placed</li>
  </ul>

  <div class="order-details">
    <h3>Order details:</h3>
    <div class="row">
      <div class="details-label col-2">Order number:</div><div class="col-10">#{{ placed_orders.0.order_id }}</div>
    </div>
    <div class="row">
      <div class="details-label col-2">Date:</div><div class="col-10">{{ placed_orders.0.order_date|date:"D, M d, Y, h:i:s a" }}</div>
    </div>
    <div class="row">
      <div class="details-label col-2">Items:</div><div class="col-10">{% for item in placed_orders.0.order_items %}
        <div class="container order-item">
          <div class="row justify-content-between">
            <span>
              {{ item.item }}
              {% if item.item_small %}
              <small>[small]</small>
              {% endif %}
              {% if item.item_toppings|length > 0 %}
              <small>
                ({% for tp in item.item_toppings %}
                {{ tp }}{% if not forloop.last %}, {% endif %}
                {% endfor %})
              </small>
              {% endif %}
            </span>
            <span class="item-price">${{ item.item_price|floatformat:2 }}</span>
          </div>
        </div>
        {% endfor %}
      </div>
    </div>
    <div class="row justify-content-between total">
      <div class="details-label col-2">Total:</div><div class="col-10 text-right">${{ placed_orders.0.order_total|floatformat:2 }}</div>
    </div>
  </div>
</div>
{% else %}
<h2>You don't have any open order.</h2>
<div class="container content-container">
  <p>Check <a href="{% url 'index' %}">our menu</a> and place an order.</p>
</div>
{% endif %}
{% if archived_orders|length > 0 %}
<h3>Order history</h3>
<div class="history">
  <table>
    <tr>
      <th class="text-right">#</th>
      <th>Date</th>
      <th class="text-center">Order total</th>
    {% for order in archived_orders %}
    <tr>
      <td class="text-right">{{ order.order_id }}</td>
      <td class="text-left">{{ order.order_date }}</td>
      <td class="text-center">${{ order.order_total|floatformat:2 }}</td>
    </tr>
    {% endfor %}
  </table>
</div>
{% endif %}

{% if placed_orders|length > 0 %}
{% if placed_orders.0.order_status != 'completed' %}
<script>
document.addEventListener('DOMContentLoaded', () => {
  tracker()
})
</script>
{% endif %}
{% endif %}
{% endblock %}
